Certify PostgreSQL 9.5 version for CA SiteMinder Policy Server 12.7

book

Article ID: 194491

calendar_today

Updated On:

Products

CA Single Sign On Secure Proxy Server (SiteMinder) CA Single Sign On Agents (SiteMinder) CA Single Sign On Federation (SiteMinder) CA Single Sign On SOA Security Manager (SiteMinder) SITEMINDER

Issue/Introduction

We have raised a request earlier to certify PostgreSQL 9.5 version for CA SiteMinder Policy Server 12.7. This is required due to mandatory AWS upgrade of PostgreSQL.

Environment

Release : 12.7

Component : SITEMINDER -POLICY SERVER

Resolution

Please note that Siteminder 12.7 reaches End Of Service (EOS) on October 31, 2020:

https://techdocs.broadcom.com/us/product-content/status/support-life-cycle/indexes/ca-single-sign-on-release-and-support-lifecycle-dates.html?r=2

Certifying a database would take 2 months minimum, so August would be a reasonable time frame. In this case PostgreSQL 9.5 would be supported for 2 months until you had to upgrade siteminder.

In otherwords, product management have stated in at least one previous case recently that they are not going to certify PostgreSQL 9.5 with Siteminder 12.7.

You can run with PostgreSQL 9.5 under the "6.4 Reasonable Commercial Effort Statement" in our platform matrix:

https://ftpdocs.broadcom.com/phpdocs/7/5262/5262-12-7-platform-support-matrix.pdf

Please note that Siteminder 12.8 support PostgreSQL 9.6, see page 7:

https://ftpdocs.broadcom.com/phpdocs/7/5262/5262-12-8-platform-support-matrix.pdf

In summary, considering Siteminder 12.7 is reaching EOS in 5 months, you would be better served by upgrading siteminder. You are somewhat supported usign PostgreSQL 9.5 by the "Reasonable Commercial Effort Statement".